Groovy 1.7.0

## groovy.util
Class Proxy

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.util.Proxy

    class Proxy
    extends GroovyObjectSupport

Dynamic groovy proxy for another object. All method invocations get forwarded to actual object, unless the proxy overrides it. See groovy/util/ProxyTest.groovy for usage details.

author:
  Troy Heninger

author:
  Dierk Koenig

Constructor Summary
`Proxy()`

Method Summary
`Object` | `getAdaptee()`
`Object` | `invokeMethod(String name, Object args)`
`Iterator` | `iterator()`
`void` | `setAdaptee(Object adaptee)`
`Proxy` | `wrap(Object adaptee)` This method is for convenience.

Methods inherited from class GroovyObjectSupport
getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### Proxy

    Proxy()

Method Detail

### getAdaptee

    public Object getAdaptee()

### invokeMethod

    public Object invokeMethod(String name, Object args)

### iterator

    public Iterator iterator()

### setAdaptee

    public void setAdaptee(Object adaptee)

### wrap

    public Proxy wrap(Object adaptee)

  This method is for convenience. It allows to get around the need for defining dump ctors is subclasses. See unit tests for details.

Copyright © 2003-2009 The Codehaus. All rights reserved.